/**
 * 
 */
package org.springframework.samples.kyuriboard.dao.ibatis;

import java.io.Serializable;

/**
 * @author DAMI(archy712@naver.com)
 *
 */
public class Sequence implements Serializable {

	/**
	 * 직렬화 ID
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 씨퀀스 이름(PK)
	 */
	private String name;
	
	/**
	 * 씨퀀스 번호
	 */
	private int nextId;
	
	/**
	 * Default 생성자
	 *
	 */
	public Sequence() {		
	}
	
	/**
	 * 인자 생성자
	 * @param name 씨퀀스 이름
	 * @param nextId 씨퀀스 ID
	 */
	public Sequence(String name, int nextId) {
		this.name = name;
		this.nextId = nextId;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the nextId
	 */
	public int getNextId() {
		return nextId;
	}

	/**
	 * @param nextId the nextId to set
	 */
	public void setNextId(int nextId) {
		this.nextId = nextId;
	}
	
	

}
